For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create API key

The method allows you to create an API key for the user

Request:

Parameter

Required

Type

Description

userId

Yes

String

User ID

alias

Yes

String

Alias

Response:

Parameter

Type

Description

id

String

Api key ID

public

String

Public key

secret

String

Secret key

alias

String

Alias

createdAt

String

Creation date

Create API key

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body

The body of the api key creation request

userIdstringRequired

User ID

Example: ff72f744-beda-4cc4-8b44-2b3deb584f99
organizationIdstringRequired

Organization ID

Example: 2a06421c-edae-4df1-9851-17d6479449e2
aliasstringRequired

API key name

Example: Integration key
Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/partner/api/create-api-keys
POST /partner/api/create-api-keys HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "userId": "ff72f744-beda-4cc4-8b44-2b3deb584f99",
  "organizationId": "2a06421c-edae-4df1-9851-17d6479449e2",
  "alias": "Integration key"
}
200Success
{
  "success": true,
  "response": {
    "id": "4700bddb-b200-40b5-bf06-954ded3867fd",
    "public": "QoK/3fZY8QK68z3DFvwcTgN4LSTDa8pi6rUNbGQfM4EgKCyt9whSFkbIQOFIAsGKlCZlCE1gyvi0Q6vf77KHKw==",
    "secret": "TLS9BLlNCOHTlAEhHGsl8P77gkaUleEnnJv3r4oL2n8owM8c33ALZCaVe3cBq4HEkGm+Tx1rNI6CPUXc8r7fBg==",
    "alias": "Integration key",
    "createdAt": "2026-01-29T11:16:59.887Z"
  }
}

Last updated